// 物业管理员
import http from "@/apis/axios";
const api = "admin/";
export default {
  // 添加
  add: (data, params) => http(api + "projectcreate", data, "post", params),
  // 删除
  delete: (data, params) => http(api + "Consultdel", data, "post", params),
  // 分页查询
  list: (data, params) => http(api + "projectlist", data, "post", params),
  // 详情
  detail: (data, params) => http(api + "projectinfo", data, "post", params),
  // 更新
  update: (data, params) => http(api + "update", data, "post", params),
  // 修改状态
  status: (data, params) => http(api + "accountstatus", data, "post", params),
  // 分类详情
  catinfo: (data, params) => http(api + "catinfo", data, "post", params),

  // 毛利率修改
  rateEdit: (data, params) => http(api + "projectrate", data, "post", params),
  // 项目返回商品分页查询
  back_good_list: (data, params) => http(api + "projectfeedlist", data, "post", params),
  // 按照商品要求查询线上商品
  get_good_online_list: (data, params) => http(api + "goodplist", data, "post", params),
  // 按照商品要求查询线上商品
  project_online_good_add: (data, params) => http(api + "projectaddfed", data, "post", params),
  // 删除已添加的线上商品
  project_online_good_del: (data, params) => http(api + "projectfeeddel", data, "post", params),
};
