
//是否定制
const options1 = [
  { id: "0", name: "否" },
  { id: "1", name: "是" },
]
//专属类型
const options2 = [
  { id: "0", name: "非泰康" },
  { id: "1", name: "泰康" },
]
//销售权限
const options3 = [
  { id: "0", name: "无销售权限" },
  { id: "1", name: "有销售权限" },
]

//是否库存品
const options4 = [
  { id: "0", name: "非库存品" },
  { id: "1", name: "库存品" },
]
//是否启用实时金价
const options5 = [
  { id: "0", name: "否" },
  { id: "1", name: "是" },
]
//供货区域
const options6 = [
  { id: "1", name: "全国" },
  { id: "2", name: "全国除偏远" },
]
//是否启用阶梯
const options7 = [
  { id: "0", name: "否" },
  { id: "1", name: "是" },
]
const options8 = [
  { id: "0", name: "待提交" },
  { id: "1", name: "待完善成本" },
  { id: "2", name: "待产品审核" },
  { id: "3", name: "待财务定价" },
  { id: "4", name: "待财务审核定价" },
  { id: "5", name: "待上线" },
  { id: "6", name: "上线成功" },
  { id: "7", name: "审核失败" },
]
const listCol = [
  {
    prop: "skuCode",
    label: "编号",
    fixed: "left",
    width: "160px",
  },
  {
    prop: "good_thumb_img",
    label: "图片",
    _slot_: "good_thumb_img",
    width: "45px",
  },
  {
    prop: "good_name",
    label: "名称",
    "min-width": "160px",
  },
  {
    prop: "platform_code_en",
    label: "平台编号",
    width: "170px",
  },
  {
    prop: "platform_name",
    label: "平台名称",
    width: "118px",
  },

  {
    prop: "status",
    label: "状态",
    _slot_: "status",
    width: "118px",
  },
  {
    prop: "cat_name",
    label: "分类",
    width: "118px",
  },
  {
    prop: "good_type",
    label: "是否定制",
    _slot_: "good_type",
    width: "70px",
  },
  // {
  //   prop: "good_type",
  //   label: "库存类型",
  //   _slot_: "good_type",
  //   width: "70px",
  // },

  {
    prop: "brand_name",
    label: "品牌",
  },

  // {
  //   prop: "supplierNo",
  //   label: "供应商编号",
  //   width: "110px",
  // },
  // {
  //   prop: "supplier_name",
  //   label: "供应商名称",
  //   width: "110px",
  // },
  {
    prop: "companyNo",
    label: "业务公司编号",
    width: "110px",
  },
  {
    prop: "company",
    label: "业务公司名称",
    width: "110px",
  },

  {
    prop: "creater",
    label: "创建人",
    width: "70px",
  },
  {
    prop: "addtime",
    label: "创建时间",
    width: "140px",
  },
  {
    prop: "",
    label: "操作",
    fixed: "right",
    _noset_: true,
    width: "50px",
    _slot_: "operation",
  },
]
const rules = {
  platform: [
    {
      type: "array",
      required: true,
      message: "请选择所属平台",
      trigger: "change",
    },
  ],
  online_reason: [
    {
      required: true,
      message: "上线原因不能为空",
      trigger: "blur",
    },
  ],
  online_remark: [
    {
      required: true,
      message: "上线备注不能为空",
      trigger: "blur",
    },
  ],

}

export { options1, options2, options3, options4, options5, options6, options7, options8, listCol, rules }