// 物业管理员
import http from "@/apis/axios";
const api = "admin/";
export default {
  // 添加
  add: (data, params) => http(api + "salecreate", data, "post", params),
  // 删除
  delete: (data, params) => http(api + "saledelect", data, "post", params),
  // 详情
  detail: (data, params) => http(api + "saleinfo", data, "post", params),
  // 更新
  update: (data, params) => http(api + "saleedit", data, "post", params),
  // 修改状态
  status: (data, params) => http(api + "salestatus", data, "post", params),
  // 获取仓库商品列表
  getGoodStock: (data, params) => http(api + "checkflist", data, "post", params),
  // 采购反馈物流费用
  salefee: (data, params) => http(api + "salefee", data, "post", params),
  // 新建销售出库单
  saleout: (data, params) => http(api + "saleout", data, "post", params),




  // 新建入库单详情
  orderininfo: (data, params) => http(api + "orderininfo", data, "post", params),
  // 异常原因列表
  resultlist: (data, params) => http(api + "resultlist", data, "post", params),
  // 入库单验货
  orderincheck: (data, params) => http(api + "orderincheck", data, "post", params),
  // 入库单退货换货
  orderinreturn: (data, params) => http(api + "orderinreturn", data, "post", params),
  // 发货单状态修改
  orderinstatus: (data, params) => http(api + "orderinstatus", data, "post", params),
};
