export default [
  {
    name: "离职交接流程",
    type: "LZJJ",
    toRouter: "/interest/handoverDetail",
    to: "id",
  },
  {
    name: "调拨流程",
    type: "DBD",
    toRouter: "/stock/allotDetail",
    to: "id",
  },
  {
    name: "盘点流程",
    type: "PDD",
    toRouter: "/stock/checkDetail",
    to: "id",
  },
  //采购
  {
    name: "备货申请流程",
    type: "BHD",
    toRouter: "/purchaseIn/stockApplyDetail",
    to: "id",
  },
  {
    name: "采购单流程",
    type: "CGD",
    toRouter: "/purchaseIn/purchaseOrderDetail",
    to: "code",
  },
  {
    name: "备货入库单流程",
    type: "RKD",
    toRouter: "/purchaseIn/wsmInOrderDetail",
    to: "code",
  },
  {
    name: "采购单退货流程",
    type: "CGTHD",
    toRouter: "/purchaseIn/purchaseReturnDetail",
    to: "code",
  },
  {
    name: "采购工差单流程",
    type: "CGGCD",
    toRouter: "/purchaseIn/purchaseDiffOrderDetail",
    to: "id",
  },
  //销售订单
  {
    name: "销售订单流程",
    type: "XSQRD",
    toRouter: "/sellOut/salesOrderDetai",
    to: "id",
  },
  {
    name: "销售出库单流程",
    type: "CKD",
    toRouter: "/sellOut/sellOutOrderDetail",
    to: "code",
  },
  {
    name: "销售售后申请单流程",
    type: "SHD",
    toRouter: "/sellOut/sellAfterApplyDetail",
    to: "code",
  },

  {
    name: "销售售后退货单流程",
    type: "CKTHD",
    toRouter: "/sellOut/returnOrderDetail",
    to: "code",
  },
  {
    name: "销售退货流程",
    type: "QRTHD",
    toRouter: "/sellOut/sellReturnDetail",
    to: "code",
  },
  //咨询订单
  {
    name: "咨询订单流程",
    type: "ZXQRD",
    toRouter: "/sellOut/zxOrderDetail",
    to: "id",
  },
  {
    name: "咨询出库单流程",
    type: "ZXCKD",
    toRouter: "/sellOut/zxoutOrderDetail",
    to: "code",
  },
  {
    name: "咨询售后申请单流程",
    type: "ZXSHD",
    toRouter: "/sellOut/zxAfterSaleDetail",
    to: "code",
  },

  {
    name: "咨询售后退货单流程",
    type: "ZXCKTHD",
    toRouter: "/sellOut/zxAfterSaleOrderDetail",
    to: "code",
  },
  {
    name: "咨询退货单流程",
    type: "ZXTHD",
    toRouter: "/sellOut/zxReturnDetail",
    to: "code",
  },
  {
    name: "咨询工差单流程",
    type: "ZXGCD",
    toRouter: "/sellOut/zxDiffOrderDetail",
    to: "id",
  },
];